Why can't I access the Security and Privacy Center?

The latest version of CCleaner Browser, which contains the Security & Privacy Center, is not supported on older versions of Windows. For security reasons, we recommend updating your operating system to the latest version of Windows.

After you update Windows to version 10, 8, or 7, you can install the latest version of CCleaner Browser.

Looking to clean up your business? Learn More

×